# PXMLRPCArrayBase Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCArrayBase:

List of all members.

## Public Member Functions

virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.
virtual void | Copy (const PXMLRPCVariableBase &other)
virtual PBoolean | IsArray () const
virtual PINDEX | GetSize () const
virtual PBoolean | SetSize (PINDEX)

## Protected Member Functions

| PXMLRPCArrayBase (PContainer &array, const char *name, const char *type)
PXMLRPCArrayBase & | operator= (const PXMLRPCArrayBase &)

## Protected Attributes

PContainer & | array

## Constructor & Destructor Documentation

PXMLRPCArrayBase::PXMLRPCArrayBase | ( | PContainer & | array,
|  | const char * | name,
|  | const char * | type |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual void PXMLRPCArrayBase::Copy | ( | const PXMLRPCVariableBase & | other | ) | `[virtual]`

Implements PXMLRPCVariableBase.

virtual PINDEX PXMLRPCArrayBase::GetSize | ( |  | ) | const`[virtual]`

Reimplemented from PXMLRPCVariableBase.

virtual PBoolean PXMLRPCArrayBase::IsArray | ( |  | ) | const`[virtual]`

Reimplemented from PXMLRPCVariableBase.

PXMLRPCArrayBase& PXMLRPCArrayBase::operator= | ( | const PXMLRPCArrayBase & |  | ) | `[protected]`

virtual void PXMLRPCArrayBase::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

virtual PBoolean PXMLRPCArrayBase::SetSize | ( | PINDEX |  | ) | `[virtual]`

Reimplemented from PXMLRPCVariableBase.

Reimplemented in PXMLRPCArrayObjectsBase.

## Member Data Documentation

PContainer& PXMLRPCArrayBase::array `[protected]`

Reimplemented in PXMLRPCArrayObjectsBase.

The documentation for this class was generated from the following file:

- pxmlrpc.h